Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,5 +38,5 @@
   /// </remarks>
   [Item("ChildrenCreator", "An operator which is used to prepare crossover. The sub-scopes of the current scope the operator is applied on represent the parents. The operator creates new and empty scopes for each child, adds the scopes that represent the child's parents as sub-scopes to the child and adds the child as sub-scope to the current scope.")]
-  [StorableClass]
+  [StorableClass("55A6BCDF-5ABE-4947-8046-4DB8F05A9177")]
   public sealed class ChildrenCreator : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/DiscreteDoubleValueModifier.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/DiscreteDoubleValueModifier.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/DiscreteDoubleValueModifier.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("DiscreteDoubleValueModifier", "Base class for modifying a double value according to a certain function in discrete intervalls.")]
-  [StorableClass]
+  [StorableClass("50CD489A-733C-45FD-8EE4-86B900D09613")]
   public abstract class DiscreteDoubleValueModifier : SingleSuccessorOperator, IDiscreteDoubleValueModifier {
     #region parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ExponentialDiscreteDoubleValueModifier.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ExponentialDiscreteDoubleValueModifier.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ExponentialDiscreteDoubleValueModifier.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 @"Modifies the value by exponential fall (steep fall initially, slow fall to the end) or rise (slow rise initially, fast rise to the end).
 This uses a standard exponential distribution and yields a base which is implicitly derived by start and end indices and values.")]
-  [StorableClass]
+  [StorableClass("D79E2DAE-8A3C-4EE3-9776-A8F6680D2990")]
   public class ExponentialDiscreteDoubleValueModifier : DiscreteDoubleValueModifier {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ExpressionCalculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ExpressionCalculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ExpressionCalculator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("ExpressionCalculator", "An operator that evaluates an expression.")]
-  [StorableClass]
+  [StorableClass("35926194-81F8-41E1-8B60-4D7C9887342E")]
   public class ExpressionCalculator : ValuesCollector {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/LinearDiscreteDoubleValueModifier.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/LinearDiscreteDoubleValueModifier.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/LinearDiscreteDoubleValueModifier.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("LinearDiscreteDoubleValueModifier", "Modifies the value by linear (constant) fall or rise.")]
-  [StorableClass]
+  [StorableClass("5D7C5235-6F34-4BAD-BE4E-2F66622A1DBF")]
   public class LinearDiscreteDoubleValueModifier : DiscreteDoubleValueModifier {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdedComparisonSorter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdedComparisonSorter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdedComparisonSorter.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   [Item("CrowdedComparisonSorter", @"CrowdedComparisonSorter as described in: Deb, Pratap, Agrawal and Meyarivan, ""A Fast and Elitist Multiobjective
 Genetic Algorithm: NSGA-II"", IEEE Transactions On Evolutionary Computation, Vol. 6, No. 2, April 2002.")]
-  [StorableClass]
+  [StorableClass("488150D5-915C-490D-97C0-0022F96E0300")]
   public class CrowdedComparisonSorter : SingleSuccessorOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdingDistanceAssignment.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdingDistanceAssignment.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdingDistanceAssignment.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("CrowdingDistanceAssignment", "Calculates the crowding distances for each sub-scope as described in Deb et al. 2002. A Fast and Elitist Multiobjective Genetic Algorithm: NSGA-II. IEEE Transactions on Evolutionary Computation, 6(2), pp. 182-197.")]
-  [StorableClass]
+  [StorableClass("65537F31-1671-453F-B79D-4DCEE40D0E4A")]
   public class CrowdingDistanceAssignment : SingleSuccessorOperator, IMultiObjectiveOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   [Item("FastNonDominatedSort", @"FastNonDominatedSort as described in: Deb, Pratap, Agrawal and Meyarivan, ""A Fast and Elitist Multiobjective
 Genetic Algorithm: NSGA-II"", IEEE Transactions On Evolutionary Computation, Vol. 6, No. 2, April 2002")]
-  [StorableClass]
+  [StorableClass("0D0365CC-141E-482A-82B0-BF01CD1208E2")]
   public class FastNonDominatedSort : SingleSuccessorOperator, IMultiObjectiveOperator {
     private enum DominationResult { Dominates, IsDominated, IsNonDominated };
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ParentCopyCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ParentCopyCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ParentCopyCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("ParentCopyCrossover", "This operator creates an offspring by creating a clone of a randomly chosen parent. It can be used in situations where no crossover should occur after selection.")]
-  [StorableClass]
+  [StorableClass("1687985E-45B1-4726-BDD8-BB461016EEE6")]
   public class ParentCopyCrossover : InstrumentedOperator, ICrossover, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ProbabilisticQualityComparator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ProbabilisticQualityComparator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ProbabilisticQualityComparator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   /// </remarks>
   [Item("ProbabilisticQualityComparator", "Compares two qualities and creates a boolean flag that indicates if the left side is better than the right side or if the difference in quality is acceptable given a certain probability.")]
-  [StorableClass]
+  [StorableClass("793F51FC-C396-4082-9A32-9C8E101EE6FC")]
   public class ProbabilisticQualityComparator : QualityComparator, IStochasticOperator {
     public ILookupParameter<DoubleValue> DampeningParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ProgrammableAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ProgrammableAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ProgrammableAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
   [Item("ProgrammableAnalyzer", "An analyzer that can be programmed for arbitrary needs.")]
-  [StorableClass]
+  [StorableClass("6AFAD455-99B5-4645-B983-7099D599DA04")]
   public class ProgrammableAnalyzer : ProgrammableSingleSuccessorOperator, IAnalyzer {
     public virtual bool EnabledByDefault {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/QuadraticDiscreteDoubleValueModifier.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/QuadraticDiscreteDoubleValueModifier.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/QuadraticDiscreteDoubleValueModifier.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("QuadraticDiscreteDoubleValueModifier", "Modifies the value by quadratic fall (slow fall initially, fast fall to the end) or rise (slow rise initally, fast rise to the end).")]
-  [StorableClass]
+  [StorableClass("1EC25CD3-B26B-479A-8C8E-FDE331131F01")]
   public class QuadraticDiscreteDoubleValueModifier : DiscreteDoubleValueModifier {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/QualityComparator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/QualityComparator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/QualityComparator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("QualityComparator", "Compares two qualities and creates a boolean flag that indicates if the left side is better than the right side.")]
-  [StorableClass]
+  [StorableClass("7892E3ED-6FDA-4067-9695-8ACEB0AAD1C0")]
   public class QualityComparator : SingleSuccessorOperator, IQualityComparator {
     public ILookupParameter<DoubleValue> LeftSideParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ResultsCollector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ResultsCollector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ResultsCollector.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("ResultsCollector", "An operator which collects the actual values of parameters and adds them to a collection of results.")]
-  [StorableClass]
+  [StorableClass("4D8A214A-C0E4-4450-8179-53B15D9DC4FC")]
   public class ResultsCollector : ValuesCollector {
     public ValueLookupParameter<ResultCollection> ResultsParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SASEGASAReunificator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SASEGASAReunificator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SASEGASAReunificator.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("SASEGASAReunificator", "This operator merges the villages (sub-scopes) and redistributes the individuals. It is implemented as described in Affenzeller, M. et al. 2009. Genetic Algorithms and Genetic Programming - Modern Concepts and Practical Applications, CRC Press.")]
-  [StorableClass]
+  [StorableClass("ED536A54-2DCE-423A-885B-22D2E27BDCE4")]
   public class SASEGASAReunificator : SingleSuccessorOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ShakingOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ShakingOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/ShakingOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("ShakingOperator", "A shaking operator for VNS that can be filled with arbitrary manipulation operators.")]
-  [StorableClass]
+  [StorableClass("FE392285-B0A7-4559-A43B-920C47851500")]
   public class ShakingOperator<T> : CheckedMultiOperator<T>, IMultiNeighborhoodShakingOperator where T : class, IManipulator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SingleObjectivePathRelinker.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SingleObjectivePathRelinker.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SingleObjectivePathRelinker.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("SingleObjectivePathRelinker", "A base class for operators that perform path relinking between single objective solutions.")]
-  [StorableClass]
+  [StorableClass("75BA9220-1A58-4BEF-B061-D3368F284940")]
   public abstract class SingleObjectivePathRelinker : SingleSuccessorOperator, ISingleObjectivePathRelinker {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SingleObjectiveSolutionSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SingleObjectiveSolutionSimilarityCalculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SingleObjectiveSolutionSimilarityCalculator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SimilarityCalculator", "A base class for items that perform similarity calculation between two solutions.")]
-  [StorableClass]
+  [StorableClass("34E6BB5E-FF6C-4094-BCA7-D040DE8711B2")]
 #pragma warning disable 0618
   public abstract class SingleObjectiveSolutionSimilarityCalculator : SolutionSimilarityCalculator, ISingleObjectiveSolutionSimilarityCalculator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SolutionSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SolutionSimilarityCalculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SolutionSimilarityCalculator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("SimilarityCalculator", "A base class for items that perform similarity calculation between two solutions.")]
-  [StorableClass]
+  [StorableClass("C31CDA20-CCBF-4836-A3C8-0B7EE4AC259D")]
   public abstract class SolutionSimilarityCalculator : Item, ISolutionSimilarityCalculator {
     protected abstract bool IsCommutative { get; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("SolutionsCreator", "An operator which creates new solutions. Evaluation of the new solutions is executed in parallel, if an engine is used which supports parallelization.")]
-  [StorableClass]
+  [StorableClass("A6AF9E8E-4D33-4184-874C-18888A892365")]
   public sealed class SolutionsCreator : SingleSuccessorOperator {
     public ValueLookupParameter<IntValue> NumberOfSolutionsParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SquareRootDiscreteDoubleValueModifier.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SquareRootDiscreteDoubleValueModifier.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/SquareRootDiscreteDoubleValueModifier.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SquareRootDiscreteDoubleValueModifier", "Modifies the value by square rooted fall (fast fall initially, slow fall to the end) or rise (fast rise initially, slow rise to the end).")]
-  [StorableClass]
+  [StorableClass("E33F555F-BB90-4D94-9C2F-7A25350ECE9C")]
   public class SquareRootDiscreteDoubleValueModifier : DiscreteDoubleValueModifier {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/TabuMaker.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/TabuMaker.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/TabuMaker.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("TabuMaker", "Base class for all operators that set a move tabu.")]
-  [StorableClass]
+  [StorableClass("48B51064-F803-4DEC-BAE6-66F651723677")]
   public abstract class TabuMaker : SingleSuccessorOperator, ITabuMaker, ISingleObjectiveOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UnidirectionalRingMigrator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UnidirectionalRingMigrator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UnidirectionalRingMigrator.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("UnidirectionalRingMigrator", "Migrates the selected sub scopes in each subscope in an unidirectional ring.")]
-  [StorableClass]
+  [StorableClass("444B7B23-A006-43E9-82FF-A0B86FA4D146")]
   public class UnidirectionalRingMigrator : SingleSuccessorOperator, IMigrator {
     public IValueLookupParameter<BoolValue> ClockwiseMigrationParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("UserDefinedCrossover", "A crossover that can be customized with operators which it will execute one after another.")]
-  [StorableClass]
+  [StorableClass("A91CEAE7-3C23-4B4F-B9A7-CE48CD39E1C0")]
   public class UserDefinedCrossover : UserDefinedOperator, ICrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("UserDefinedEvaluator", "An evaluator that can be customized with operators which it will execute one after another.")]
-  [StorableClass]
+  [StorableClass("08316C1A-16CB-4D48-9B6F-334AD21DDEB2")]
   public class UserDefinedEvaluator : UserDefinedOperator, ISingleObjectiveEvaluator {
     public ILookupParameter<DoubleValue> QualityParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("UserDefinedManipulator", "A manipulator that can be customized with operators which it will execute one after another.")]
-  [StorableClass]
+  [StorableClass("0BC8E929-9D63-4EF1-84D2-4AC0EBF80C1E")]
   public class UserDefinedManipulator : UserDefinedOperator, IManipulator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("UserDefinedOperator", "An operator that can be parameterized with multiple operators which will be executed one after another.")]
-  [StorableClass]
+  [StorableClass("E4481502-B461-4867-B7B6-1502FCB8B11D")]
   public abstract class UserDefinedOperator : CheckedMultiOperator<IOperator> {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedSolutionCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedSolutionCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/UserDefinedSolutionCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("UserDefinedSolutionCreator", "A solution creator that can be customized with operators which it will execute one after another.")]
-  [StorableClass]
+  [StorableClass("E536834F-6193-42BE-8FAB-C6336D72AC40")]
   public class UserDefinedSolutionCreator : UserDefinedOperator, ISolutionCreator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/WeightedParentsQualityComparator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/WeightedParentsQualityComparator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization.Operators/3.3/WeightedParentsQualityComparator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization.Operators {
   [Item("WeightedParentsQualityComparator", "Compares the quality against that of its parents (assumes the parents are subscopes to the child scope). This operator works with any number of subscopes > 0.")]
-  [StorableClass]
+  [StorableClass("175701CC-BBAC-4819-9CF3-DA97DFC72287")]
   public class WeightedParentsQualityComparator : SingleSuccessorOperator, ISubScopesQualityComparator {
     public IValueLookupParameter<BoolValue> MaximizationParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("Algorithm", "A base class for algorithms.")]
-  [StorableClass]
+  [StorableClass("71AEBFFD-0173-4289-82EE-482A6331226E")]
   public abstract class Algorithm : ParameterizedNamedItem, IAlgorithm {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/BasicAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/BasicAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/BasicAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("A597E90A-6274-4C66-AF24-76BB71C3F811")]
   public abstract class BasicAlgorithm : Algorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/EngineAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/EngineAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/EngineAlgorithm.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("EngineAlgorithm", "A base class for algorithms which use an engine for execution.")]
-  [StorableClass]
+  [StorableClass("21523BD2-1EDD-4192-92B6-22FA1DC0592E")]
   public abstract class EngineAlgorithm : Algorithm {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Heuristic Optimization Algorithm", "A base class for heuristic optimization algorithms.")]
-  [StorableClass]
+  [StorableClass("6CB60BC5-35C5-4AD8-A82D-5A800100315F")]
   public abstract class HeuristicOptimizationAlgorithm : Algorithm {
     public new IHeuristicOptimizationProblem Problem {
